"""empty message

Revision ID: a2a53ab3d577
Revises: 53bc564d3c59
Create Date: 2018-03-31 18:34:44.288249

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a2a53ab3d577'
down_revision = '53bc564d3c59'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('clicked_image', sa.Column('referrer', sa.String(length=2048), nullable=True))
    op.add_column('image', sa.Column('SERP_id', sa.Integer(), nullable=True))
    op.add_column('image', sa.Column('check_more_size_timestamp', sa.DateTime(), nullable=True))
    op.add_column('image', sa.Column('check_view_site_timestamp', sa.DateTime(), nullable=True))
    op.add_column('image', sa.Column('click_timestamp', sa.DateTime(), nullable=True))
    op.add_column('image', sa.Column('download_timestamp', sa.DateTime(), nullable=True))
    op.add_column('image', sa.Column('hover_intervals', sa.Text(length=131072), nullable=True))
    op.add_column('image', sa.Column('sidebar_id', sa.Integer(), nullable=True))
    op.add_column('image', sa.Column('sidebar_next_id', sa.Integer(), nullable=True))
    op.add_column('image', sa.Column('sidebar_prev_id', sa.Integer(), nullable=True))
    op.create_index(op.f('ix_image_SERP_id'), 'image', ['SERP_id'], unique=False)
    op.add_column('query', sa.Column('referrer', sa.String(length=2048), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('query', 'referrer')
    op.drop_index(op.f('ix_image_SERP_id'), table_name='image')
    op.drop_column('image', 'sidebar_prev_id')
    op.drop_column('image', 'sidebar_next_id')
    op.drop_column('image', 'sidebar_id')
    op.drop_column('image', 'hover_intervals')
    op.drop_column('image', 'download_timestamp')
    op.drop_column('image', 'click_timestamp')
    op.drop_column('image', 'check_view_site_timestamp')
    op.drop_column('image', 'check_more_size_timestamp')
    op.drop_column('image', 'SERP_id')
    op.drop_column('clicked_image', 'referrer')
    # ### end Alembic commands ###
